Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Interface FlavorListener

All Superinterfaces:
  EventListener

    public interface FlavorListener

extends EventListener

Defines an object which listens for `FlavorEvent`s.

Since:
  1.5

Method Summary
`void` | `flavorsChanged(FlavorEvent e)` Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

Method Detail

### flavorsChanged

    void flavorsChanged(FlavorEvent e)

  Invoked when the target `Clipboard` of the listener has changed its available `DataFlavor`s.

  Some notifications may be redundant — they are not caused by a change of the set of DataFlavors available on the clipboard. For example, if the clipboard subsystem supposes that the system clipboard's contents has been changed but it can't ascertain whether its DataFlavors have been changed because of some exceptional condition when accessing the clipboard, the notification is sent to ensure from omitting a significant notification. Ordinarily, those redundant notifications should be occasional.

  Parameters:
    `e` - a `FlavorEvent` object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.